Skip to main content
GET
/
subscriptions
/
cp
/
api
/
orders
/
{orderId}
/
live-status
Get the live fulfillment status for an order
curl --request GET \
  --url https://www.myshop.com/apps/subscriptions/cp/api/orders/{orderId}/live-status
{
  "graphOrderId": "<string>",
  "orderId": 123,
  "orderName": "<string>",
  "orderCancelledAt": "2023-11-07T05:31:56Z",
  "orderClosed": true,
  "orderClosedAt": "2023-11-07T05:31:56Z",
  "orderConfirmed": true,
  "orderProcessedAt": "2023-11-07T05:31:56Z",
  "orderCreatedAt": "2023-11-07T05:31:56Z",
  "currencyCode": "<string>",
  "totalPrice": "<string>",
  "subtotalPrice": "<string>",
  "totalTax": "<string>",
  "totalShipping": "<string>",
  "totalDiscount": "<string>",
  "currentTotalPrice": "<string>",
  "currentSubtotalPrice": "<string>",
  "presentmentCurrencyCode": "<string>",
  "presentmentTotalPrice": "<string>",
  "presentmentSubtotalPrice": "<string>",
  "presentmentTotalTax": "<string>",
  "presentmentTotalShipping": "<string>",
  "presentmentTotalDiscount": "<string>",
  "presentmentCurrentTotalPrice": "<string>",
  "presentmentCurrentSubtotalPrice": "<string>",
  "shippingAddress": {
    "firstName": "<string>",
    "lastName": "<string>",
    "address1": "<string>",
    "address2": "<string>",
    "city": "<string>",
    "province": "<string>",
    "country": "<string>",
    "zip": "<string>",
    "formatted": [
      "<string>"
    ]
  },
  "shippingMethod": "<string>",
  "lineItems": [
    {
      "title": "<string>",
      "variantTitle": "<string>",
      "quantity": 123,
      "currentQuantity": 123,
      "imageUrl": "<string>",
      "price": "<string>",
      "presentmentPrice": "<string>",
      "originalPrice": "<string>",
      "presentmentOriginalPrice": "<string>"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://appstleinc-aeca3e0a.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Path Parameters

orderId
integer<int64>
required

Response

200 - */*

OK

graphOrderId
string
orderId
integer<int64>
orderName
string
orderCancelReason
enum<string>
Available options:
CUSTOMER,
DECLINED,
FRAUD,
INVENTORY,
STAFF,
OTHER,
$UNKNOWN
orderCancelledAt
string<date-time>
orderClosed
boolean
orderClosedAt
string<date-time>
orderConfirmed
boolean
orderDisplayFinancialStatus
enum<string>
Available options:
PENDING,
AUTHORIZED,
PARTIALLY_PAID,
PARTIALLY_REFUNDED,
VOIDED,
PAID,
REFUNDED,
EXPIRED,
$UNKNOWN
orderDisplayFulfillmentStatus
enum<string>
Available options:
UNFULFILLED,
PARTIALLY_FULFILLED,
FULFILLED,
RESTOCKED,
PENDING_FULFILLMENT,
OPEN,
IN_PROGRESS,
ON_HOLD,
SCHEDULED,
REQUEST_DECLINED,
$UNKNOWN
orderProcessedAt
string<date-time>
orderCreatedAt
string<date-time>
currencyCode
string
totalPrice
string
subtotalPrice
string
totalTax
string
totalShipping
string
totalDiscount
string
currentTotalPrice
string
currentSubtotalPrice
string
presentmentCurrencyCode
string
presentmentTotalPrice
string
presentmentSubtotalPrice
string
presentmentTotalTax
string
presentmentTotalShipping
string
presentmentTotalDiscount
string
presentmentCurrentTotalPrice
string
presentmentCurrentSubtotalPrice
string
shippingAddress
object
shippingMethod
string
lineItems
object[]